Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.http
Interface HttpRptServer

All Superinterfaces:
  RptServer

    public interface HttpRptServer

extends RptServer

`HttpRptServer` is an extended interface of `RptServer` for HTTP protocol. Use this interface when you want to embed calls to JReport Server inside a web application as part of your JSP pages. Use RptServer directly when you want to call Rpt Server directly from a Java application and not from JSP.

Method Summary
`HttpUserSessionManager` | `getHttpUserSessionManager()` Gets the `HttpUserSessionManager` object associated with this HttpRptServer.
`void` | `setHttpUserSessionManager(HttpUserSessionManager hssnMan)` Sets `HttpUserSessionManager`.

Methods inherited from interface jet.server.api.RptServer
`canAutoRefresh, copySchedules, deleteCRDSchedules, deleteCubeSchedules, deleteSchedules, delScriptFile, disableScheduledTask, disableSchedules, dumpEnginesInfo, enableScheduledTask, enableSchedules, exportResult, exportResultToOneFormat, exportScripts, getActiveTasks, getActiveTasksByUser, getAdminService, getAliasMappingManager, getCatalogInfo, getClusterMonitor, getClusterService, getCompletedTaskTable, getCRDManager, getCRDTask, getCubeManager, getCubeTask, getCurrentCalendar, getDashboardListenerManager, getDHTMLClientService, getDynamicConnectionService, getEngineErrors, getFilenames, getGlobalNLSLibrary, getHelpService, getInformationBusManager, getInteractiveReportTaskService, getLargeReportManager, getLicenceExpiredDate, getMediaTray, getMonitorService, getNLSLibraryManager, getOndemandReportManager, getPaperList, getParameterRecorder, getPrinters, getProfileManager, getRemoteFileService, getReportInfo, getReportInfo, getReportInfo, getResourceManager, getResourceNLSManager, getResultVersionTable, getRstResultInfo, getSchedCRDTasks, getSchedCRDTasksByUser, getSchedCubeTasks, getSchedCubeTasksByUser, getScheduledTask, getScheduledTasks, getScheduledTasksByUser, getScriptsList, getSecurityWebAdaptor, getServerEnv, getServiceManager, getSimpleDHtmlService, getSystemPerformanceInfo, getTaskAuditor, getTempResultOwnerManager, getTriggerManager, getUserDHTMLPreferenceManager, getUserPreferenceManager, getUserSessionManager, getVersionAmountLimitTable, getWebUIConfig, init, isClusterEnable, isFreeVirtualAppliance, isHtmlPipeLine, isRunningQueue, isScriptFileExist, isStarted, isTaskQueueFull, isTempResultReady, loadScheduledFromFile, loadScriptFromFile, parseScripts, publishResultToVersion, removeScheduledTask, restart, runReport, runReportNotWaitResult, runReportWithTimeouts, runTask, runTestReport, saveScheduledToFile, saveScheduledToScriptFile, saveScriptToFile, setJDBCConnection, setRefreshed, setTempResultOwnerManager, setUserSessionManager, shutdown, start, stopActiveTask, stopActiveTaskByUser, submitScheduledTask, submitScheduledTasks, waitTempResultReady`

Method Detail

### getHttpUserSessionManager

    HttpUserSessionManager getHttpUserSessionManager()

  Gets the `HttpUserSessionManager` object associated with this HttpRptServer.

  Returns:
    the HttpUserSessionManager.
  See Also:
    `HttpUserSessionManager`

### setHttpUserSessionManager

    void setHttpUserSessionManager(HttpUserSessionManager hssnMan)

  Sets `HttpUserSessionManager`.

  Parameters:
    `hssnMan` - the HttpUserSessionManager.
  See Also:
    `HttpUserSessionManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD